## class SG_EXPORT osgUtx::Test

> Test, an abstract base class, is the Composite pattern's \em component class for our graph of test cases, and defines the basic interface for all Test components.

## Inheritance:

### Public Methods

Test( const std::string& sName )
const std::string& name() const
virtual bool accept( Visitor& ) = 0

### Public Members

typedef TestVisitor Visitor

### Protected Fields

std::string _name

### Protected Methods

virtual ~Test()

### Inherited from Referenced:

### Public Methods

inline Referenced& operator = (Referenced&)
static void setDeleteHandler(DeleteHandler* handler)
static DeleteHandler* getDeleteHandler()
inline void ref() const
inline void unref_nodelete() const
inline int referenceCount() const
inline void unref() const

### Protected Fields

mutable int _refCount

## Documentation

> Test, an abstract base class, is the Composite pattern's \em component class for our graph of test cases, and defines the basic interface for all Test components. It is a referent, and may be pointed to by an osg::ref_ptr.

`typedef TestVisitor Visitor`

`Test( const std::string& sName )`

`const std::string& name() const`

`virtual bool accept( Visitor& ) = 0`

`virtual ~Test()`

`std::string _name`

Direct child classes:
  TestSuite
  TestCase

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.